PRINT-MISSING-SUBRANGES(1)

NAME
print-missing-subranges - find gaps in a sorted list of numbers

SYNOPSIS
print-missing-subranges [ file ...]

DESCRIPTION
print-missing-subranges reads a pre-sorted list numbers (one per line) and prints to standard output a list of subranges that do not appear, in the format min-max, one per line. Gaps containing only one number yield lines with identical min and max values.

OPTIONS

file ...
    File(s) to read, standard input by default. Multiple files are implicitly concatenated and expected to yield a single sequence.